Subject: Disabling UI for Vault on Alpine Linux

From: Kevin Daudt <[email-masked]>
Date: Fri, 29 Nov 2019 13:35:04 +0100

Hello Gennady,

I e-mail you because you are listed as the maintainer of the Vault Alpine
Linux package. The package does not build at the moment, because the
webinterface for vault depends on nodejs 10
<https://github.com/hashicorp/vault/issues/7232>, while Alpine Linux
already ships nodejs 12.

The quickest solution is to disable the UI for the time being, which allows
us to still ship Vault. I have a MR that does this:

https://gitlab.alpinelinux.org/alpine/aports/merge_requests/1734

Let me know what you object to this, otherwise I will merge it.

Kevin